Skip to content

Generate a new API key

POST
/v1/merchants/{merchant_id}/projects/{project_id}/apikeys/

Replaces the API key of the project. The old key stops working immediately. Send an empty body.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

project_id*string

The ID of the project, or self for the project of the API key.

Response Body

The new API key.

application/json
  1. response
apikey?string
curl -X POST 'https://api.example.com/v1/merchants/self/projects/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/apikeys/' \  --user "$API_KEY:"
{  "apikey": "string"}